<?xml version="1.0" encoding="UTF-8"?>
<model xmlns="http://www.nomoseed.org/model" name="tutorial_4">
  <header xmlns="http://www.nomoseed.org/project">
    <author>Cédric Coussinet (cedric.coussinet@nomoseed.net)</author>
    <copyright>
      <mention xml:lang="en">
        Copyright (2013) Cédric Coussinet
      </mention>
    </copyright>
    <license name="GPLv3">
      <mention xml:lang="en">
        This program is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published
        by the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.
        
        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
        GNU General Public License for more details.
        
        You should have received a copy of the GNU General Public License
        along with this program. If not, see http://www.gnu.org/licenses
      </mention>
    </license>
    <datetime>2013-10-21T15:06:14Z</datetime>
    <version/>
    <annotation>
      <documentation xml:lang="fr">
        Modèle utilisée dans le cadre de la première partie du tutoriel. 
      </documentation>
    </annotation>
  </header>
  <base>
    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="../../../models/worldsquare.mod"/>
  </base>
  <definition>
    <annotation xmlns="http://www.nomoseed.org/project">
      <documentation xml:lang="fr">
        Le modèle est une extension du modèle dédié au banc d'essais monde de dalles de l'environnement de dévelopement nomoSDK.
      </documentation>
    </annotation>
    <plant_structure others_registers_nbr="5">
      <input>
        <operator_type>
        </operator_type>
        <scope_type>
        </scope_type>
      </input>
      <other>
        <operator_type>
          <item name="create_premise">
            <premise>
              <information tolerance="0"/>
              <credibility tolerance="INF"/>
              <timespan tolerance="0"/>
            </premise>
          </item>
          <item name="create_conclusion">
            <conclusion relevance="0.999" fitting_nbr="INF"/>
          </item>
        </operator_type>
        <scope_type>
          <item name="transition">
            <target category="transition" model="plant" type="transition"/>
          </item> 
          <item name="all">
            <target category="*" model="*" type="*"/>
          </item> 
        </scope_type>
      </other>
    </plant_structure>
    <command_type name="motor">
      <items>
        <item name="advance"/>
        <item name="turn_left"/>
        <item name="turn_right"/>
        <item name="capture"/>
        <item name="depose"/>
      </items>
      <components>
        <component name="value"/>
      </components>
    </command_type>
    <perceptive_structure name="hue">
      <predicted_by name="hue"/>
      <items>
        <item name="default"/>
        <item name="red"/>
        <item name="green"/>
        <item name="blue"/>
      </items>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="spheres_number">
      <items/>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="strength">
      <items>
        <item name="failed"/>
      </items>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="random">
      <items/>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="sound">
      <command_type>
        <conception_type name="sound">
          <items>
            <item name="red"/>
            <item name="green"/>
            <item name="blue"/>
          </items>
        </conception_type>
        <items>
          <item name="red"/>
          <item name="green"/>
          <item name="blue"/>
        </items>
      </command_type>
      <items>
        <item name="default"/>
        <item name="red"/>
        <item name="green"/>
        <item name="blue"/>
      </items>
      <components>
        <component name="value"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="sonar">
      <items>
        <item name="front_only"/>
      </items>
      <components>
        <component name="left"/>
        <component name="front"/>
        <component name="right"/>
        <component name="back"/>
      </components>
    </perceptive_structure>
    <perceptive_structure name="bumper">
      <items/>
      <components>
        <component name="left"/>
        <component name="front"/>
        <component name="right"/>
        <component name="back"/>
      </components>
    </perceptive_structure>
    <predictive_structure name="hue">
      <rewarded_by name="hue"/>
      <items>
        <item name="default"/>
      </items>
    </predictive_structure>
    <reward_type name="hue">
      <items>
        <item name="good"/>
      </items>
    </reward_type>
  </definition>
</model>
